DefaultSolrParams (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.DefaultSolrParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common.params
Class DefaultSolrParams

    java.lang.Object
      org.apache.solr.common.params.SolrParams
          org.apache.solr.common.params.DefaultSolrParams

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AppendedSolrParams, DefaultSolrParams

    public class DefaultSolrParams

extends SolrParams

Version:
  $Id$
See Also:
  Serialized Form

Field Summary
`protected SolrParams` | `defaults`
`protected SolrParams` | `params`

Constructor Summary
`DefaultSolrParams(SolrParams params, SolrParams defaults)` Deprecated. (3.6) Use `SolrParams.wrapDefaults(SolrParams, SolrParams)` instead.

Method Summary
`String` | `get(String param)` returns the String value of a param, or null if not set
`Iterator<String>` | `getParameterNamesIterator()` returns an Iterator over the parameter names
`String[]` | `getParams(String param)` returns an array of the String values of a param, or null if none
`String` | `toString()`

Methods inherited from class org.apache.solr.common.params.SolrParams
`fpname, get, getBool, getBool, getDouble, getDouble, getFieldBool, getFieldBool, getFieldDouble, getFieldDouble, getFieldFloat, getFieldFloat, getFieldInt, getFieldInt, getFieldParam, getFieldParam, getFieldParams, getFloat, getFloat, getInt, getInt, parseBool, required, toMap, toMultiMap, toNamedList, toSolrParams, wrapAppended, wrapDefaults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### params

    protected final SolrParams params

### defaults

    protected final SolrParams defaults

Constructor Detail

### DefaultSolrParams

    @Deprecated
    public DefaultSolrParams(SolrParams params,
                                        SolrParams defaults)

  Deprecated. (3.6) Use `SolrParams.wrapDefaults(SolrParams, SolrParams)` instead.

Method Detail

### get

    public String get(String param)

  Description copied from class: `SolrParams`
  returns the String value of a param, or null if not set

  Specified by:
    `get` in class `SolrParams`

### getParams

    public String[] getParams(String param)

  Description copied from class: `SolrParams`
  returns an array of the String values of a param, or null if none

  Specified by:
    `getParams` in class `SolrParams`

### getParameterNamesIterator

    public Iterator<String> getParameterNamesIterator()

  Description copied from class: `SolrParams`
  returns an Iterator over the parameter names

  Specified by:
    `getParameterNamesIterator` in class `SolrParams`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD